Create a post
curl --request POST \
--url https://api.kavenio.com/v1/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profileId": "aaaaaaaaaaaaaaaa",
"title": "Launch announcement",
"content": "We are launching the new campaign today.",
"platforms": [
{
"platform": "linkedin",
"accountId": "bbbbbbbbbbbbbbbb"
}
],
"scheduledFor": "2026-06-25T15:00:00.000Z",
"timezone": "UTC",
"tags": [
"launch"
]
}
'import requests
url = "https://api.kavenio.com/v1/posts"
payload = {
"profileId": "aaaaaaaaaaaaaaaa",
"title": "Launch announcement",
"content": "We are launching the new campaign today.",
"platforms": [
{
"platform": "linkedin",
"accountId": "bbbbbbbbbbbbbbbb"
}
],
"scheduledFor": "2026-06-25T15:00:00.000Z",
"timezone": "UTC",
"tags": ["launch"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileId: 'aaaaaaaaaaaaaaaa',
title: 'Launch announcement',
content: 'We are launching the new campaign today.',
platforms: [{platform: 'linkedin', accountId: 'bbbbbbbbbbbbbbbb'}],
scheduledFor: '2026-06-25T15:00:00.000Z',
timezone: 'UTC',
tags: ['launch']
})
};
fetch('https://api.kavenio.com/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"mediaItems": [
{
"url": "<string>",
"title": "<string>",
"altText": "<string>",
"filename": "<string>",
"size": 123,
"mimeType": "<string>",
"thumbnail": "<string>",
"durationMs": 123,
"durationSeconds": 123,
"width": 123,
"height": 123,
"frameRate": 123,
"frameCount": 123
}
],
"tags": [
"<string>"
],
"hashtags": [
"<string>"
],
"mentions": [
"<string>"
],
"metadata": {},
"crosspostingEnabled": true,
"targets": [
{
"id": "<string>",
"postId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"customContent": "<string>",
"customMedia": [
{
"url": "<string>",
"title": "<string>",
"altText": "<string>",
"filename": "<string>",
"size": 123,
"mimeType": "<string>",
"thumbnail": "<string>",
"durationMs": 123,
"durationSeconds": 123,
"width": 123,
"height": 123,
"frameRate": 123,
"frameCount": 123
}
],
"scheduledFor": "2023-11-07T05:31:56Z",
"platformSpecificData": {
"replyToTweetId": "<string>",
"quoteTweetId": "<string>",
"mediaIds": [
"<string>"
],
"threadItems": [
{
"content": "<string>",
"mediaItems": [
{
"url": "<string>",
"title": "<string>",
"altText": "<string>",
"filename": "<string>",
"size": 123,
"mimeType": "<string>",
"thumbnail": "<string>",
"durationMs": 123,
"durationSeconds": 123,
"width": 123,
"height": 123,
"frameRate": 123,
"frameCount": 123
}
]
}
],
"poll": {
"options": [
"<string>"
],
"duration_minutes": 5042
},
"longVideo": true,
"paidPartnership": true,
"madeWithAi": true,
"firstComment": "<string>",
"sensitiveMedia": {
"adultContent": true,
"graphicViolence": true,
"other": true
}
},
"platformPostId": "<string>",
"nativeUrl": "<string>",
"error": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"profileId": "<string>",
"title": "<string>",
"content": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"queuedFromProfile": "<string>",
"queueId": "<string>",
"recycling": {
"enabled": true,
"every": 123,
"maxOccurrences": 123,
"endsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"preserveQueue": true,
"allowDuplicateForRecycling": true
}
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Posts
Create post
Creates a draft, scheduled post, queue-backed post, or immediate publish request depending on the payload fields.
POST
/
v1
/
posts
Create a post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 255Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 255Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Was this page helpful?
⌘I